org.apache.poi.common.usermodel.fonts

## Enum FontCharset

- java.lang.Object
- - java.lang.Enum<FontCharset>
  - - org.apache.poi.common.usermodel.fonts.FontCharset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontCharset>

      public enum FontCharset
      extends java.lang.Enum<FontCharset>

  Charset represents the basic set of characters associated with a font (that it can display), and corresponds to the ANSI codepage (8-bit or DBCS) of that character set used by a given language.
  Since:
    POI 3.17-beta2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANSI` Specifies the English character set.
    `ARABIC` Specifies the Arabic character set.
    `BALTIC` Specifies the Baltic (Northeastern European) character set.
    `CHINESEBIG5` Specifies the "traditional" Chinese character set, used mostly in Taiwan and in the Hong Kong and Macao Special Administrative Regions.
    `DEFAULT` Specifies a character set based on the current system locale; for example, when the system locale is United States English, the default character set is ANSI_CHARSET.
    `EASTEUROPE` Specifies a Eastern European character set.
    `GB2312` Specifies the "simplified" Chinese character set for People's Republic of China.
    `GREEK` Specifies the Greek character set.
    `HANGUL` Also spelled "Hangeul".
    `HEBREW` Specifies the Hebrew character set.
    `JOHAB` Also spelled "Johap".
    `MAC` Specifies the Apple Macintosh character set.
    `OEM` Specifies a mapping to one of the OEM code pages, according to the current system locale setting.
    `RUSSIAN` Specifies the Russian Cyrillic character set.
    `SHIFTJIS` Specifies the Japanese character set.
    `SYMBOL` Specifies a character set of symbols.
    `THAI` Specifies the Thai character set.
    `TURKISH` Specifies the Turkish character set.
    `VIETNAMESE` Specifies the Vietnamese character set.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.charset.Charset` | `getCharset()`
    `int` | `getNativeId()`
    `static FontCharset` | `valueOf(int value)`
    `static FontCharset` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontCharset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANSI

          public static final FontCharset ANSI

      Specifies the English character set.

    - #### DEFAULT

          public static final FontCharset DEFAULT

      Specifies a character set based on the current system locale; for example, when the system locale is United States English, the default character set is ANSI_CHARSET.

    - #### SYMBOL

          public static final FontCharset SYMBOL

      Specifies a character set of symbols.

    - #### MAC

          public static final FontCharset MAC

      Specifies the Apple Macintosh character set.

    - #### SHIFTJIS

          public static final FontCharset SHIFTJIS

      Specifies the Japanese character set.

    - #### HANGUL

          public static final FontCharset HANGUL

      Also spelled "Hangeul". Specifies the Hangul Korean character set.

    - #### JOHAB

          public static final FontCharset JOHAB

      Also spelled "Johap". Specifies the Johab Korean character set.

    - #### GB2312

          public static final FontCharset GB2312

      Specifies the "simplified" Chinese character set for People's Republic of China.

    - #### CHINESEBIG5

          public static final FontCharset CHINESEBIG5

      Specifies the "traditional" Chinese character set, used mostly in Taiwan and in the Hong Kong and Macao Special Administrative Regions.

    - #### GREEK

          public static final FontCharset GREEK

      Specifies the Greek character set.

    - #### TURKISH

          public static final FontCharset TURKISH

      Specifies the Turkish character set.

    - #### VIETNAMESE

          public static final FontCharset VIETNAMESE

      Specifies the Vietnamese character set.

    - #### HEBREW

          public static final FontCharset HEBREW

      Specifies the Hebrew character set.

    - #### ARABIC

          public static final FontCharset ARABIC

      Specifies the Arabic character set.

    - #### BALTIC

          public static final FontCharset BALTIC

      Specifies the Baltic (Northeastern European) character set.

    - #### RUSSIAN

          public static final FontCharset RUSSIAN

      Specifies the Russian Cyrillic character set.

    - #### THAI

          public static final FontCharset THAI

      Specifies the Thai character set.

    - #### EASTEUROPE

          public static final FontCharset EASTEUROPE

      Specifies a Eastern European character set.

    - #### OEM

          public static final FontCharset OEM

      Specifies a mapping to one of the OEM code pages, according to the current system locale setting.

  - ### Method Detail

    - #### values

          public static FontCharset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontCharset c : FontCharset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontCharset valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCharset

          public java.nio.charset.Charset getCharset()

      Returns:
        charset for the font or `null` if there is no matching charset or if the charset is a "default"

    - #### getNativeId

          public int getNativeId()

    - #### valueOf

          public static FontCharset valueOf(int value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.